Package org.apache.tools.ant.taskdefs

# Class Javadoc.ResourceCollectionContainer

java.lang.Object
org.apache.tools.ant.taskdefs.Javadoc.ResourceCollectionContainer

All Implemented Interfaces:
  `java.lang.Iterable<ResourceCollection>`

Enclosing class:
  Javadoc

    public class Javadoc.ResourceCollectionContainer
    extends java.lang.Object
    implements java.lang.Iterable<ResourceCollection>

Holds a collection of ResourceCollections.

A separate kind of container is needed since this task contains special handling for FileSets that has to occur at task runtime.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ResourceCollectionContainer()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `add​(ResourceCollection rc)` | Add a resource collection to the container.
`java.util.Iterator<ResourceCollection>` | `iterator()` | Get an iterator on the collection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### ResourceCollectionContainer

public ResourceCollectionContainer()

## Method Details

### add

public void add​(ResourceCollection rc)
Add a resource collection to the container.

Parameters:
  `rc` - the collection to add.

### iterator

public java.util.Iterator<ResourceCollection> iterator()
Get an iterator on the collection.

Specified by:
  `iterator` in interface `java.lang.Iterable<ResourceCollection>`
Returns:
  an iterator.